{$apptype console}

// ACM 2007 1/4 final Far-East
// Problem A. Alternating digits
// (C) Chistyakov T. S. 2007

var
  cnt: array [0..1, '0'..'9'] of integer;

function checkCnt: boolean;
var
  d: char;
begin
  Result := true;
  for d := '0' to '9' do
    if (cnt[0, d] <> 0) and (cnt[1, d] <> 0) then begin
      Result := false;
      Break;
    end;
end;

var
  fi, fo: textfile;
  s: string;
  l, r: integer;
  bestL, bestLen: integer;
begin
  assignfile(fi, 'input.txt');
  reset(fi);
  assignfile(fo, 'output.txt');
  rewrite(fo);
  readln(fi, s);
  fillchar(cnt, sizeof(cnt), 0);
  l := 1;
  r := 1;
  bestL := 0;
  bestLen := 0;
  while r <= Length(s) do begin
    Inc(cnt[r mod 2, s[r]]);
    if checkCnt then begin
      if r - l + 1 > bestLen then begin
        bestLen := r - l + 1;
        bestL := l;
      end;
    end
    else begin
      repeat
        Dec(cnt[l mod 2, s[l]]);
        Inc(l);
      until checkCnt;
    end;
    Inc(r);
  end;
  writeln(fo, bestL, ' ', bestLen);
  closefile(fi);
  closefile(fo);
end.